Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226027 - Merge Review: libICE
Summary: Merge Review: libICE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2009-02-22 21:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-22 21:29:28 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:04 UTC
Fedora Merge Review: libICE

http://cvs.fedora.redhat.com/viewcvs/devel/libICE/
Initial Owner: sandmann@redhat.com

Comment 1 Robert Scheck 2009-01-13 21:52:15 UTC
libICE.i386: E: zero-length /usr/share/doc/libICE-1.0.4/README
libICE.src:68: E: files-attr-not-set
libICE.src:69: E: files-attr-not-set
libICE.src:70: E: files-attr-not-set
libICE.src:72: E: files-attr-not-set
libICE.src:74: E: files-attr-not-set
libICE.src:75: E: files-attr-not-set

-> Add %defattr(-,root,root,-) to %files devel and kill the empty file or
solve it somehow.

Comment 2 Robert Scheck 2009-01-13 21:52:58 UTC
Adam, are you now the maintainer of the package?

Comment 3 Adam Jackson 2009-02-21 20:11:23 UTC
Fixed in 1.0.4-5.

Comment 4 Jason Tibbitts 2009-02-22 21:29:28 UTC
So rpmlint is just:

libICE.x86_64: W: shared-lib-calls-exit /usr/lib64/libICE.so.6.3.0 
  exit@GLIBC_2.2.5
libICE-devel.x86_64: W: no-documentation

Neither of those is really a problem, although there's probably a bug in the first one.

I made some tweaks in CVS:
- Minor changes to 
- Don't own /usr/include/X11
- No need for a versioned dependency on xorg-x11-filesystem.
- Change xorg-x11-filesystem to a regular dependency.

Honestly I'm not sure why the -devel package had
  Requires(pre): xorg-x11-filesystem
since it has no scriptlets.  I hope I'm not missing something.

* source files match upstream.  sha256sum:
   13055e2f4c645cbd135ce97a7974a5866f9ba3ed8988e686b552f55c30514f04  
   libICE-1.0.4.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
 summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libICE-1.0.4-6.fc11.x86_64.rpm
   libICE.so.6()(64bit)
   libICE = 1.0.4-6.fc11
   libICE(x86-64) = 1.0.4-6.fc11
  =
   /sbin/ldconfig
   libICE.so.6()(64bit)

  libICE-devel-1.0.4-6.fc11.x86_64.rpm
   pkgconfig(ice) = 1.0.4
   libICE-devel = 1.0.4-6.fc11
   libICE-devel(x86-64) = 1.0.4-6.fc11
  =
   /usr/bin/pkg-config
   libICE = 1.0.4-6.fc11
   libICE.so.6()(64bit)
   pkgconfig
   pkgconfig(xproto)
   xorg-x11-filesystem
   xorg-x11-proto-devel


* a shared library is present:
  ldconfig is called properly
  unversioned .so link is in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (ldconfig).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* pkgconfig file is in the -devel package.
* no static libraries.
* no libtool .la files.

APPROVED, and closed.


Note You need to log in before you can comment on or make changes to this bug.